{
  "schema_version": "1.4.0",
  "id": "GHSA-jf9j-9gh2-gp45",
  "modified": "2025-04-12T12:50:36Z",
  "published": "2022-05-17T00:51:50Z",
  "aliases": [
    "CVE-2015-3228"
  ],
  "details": "Integer overflow in the gs_heap_alloc_bytes function in base/gsmalloc.c in Ghostscript 9.15 and earlier allows remote attackers to cause a denial of service (crash) via a crafted Postscript (ps) file, as demonstrated by using the ps2pdf command, which triggers an out-of-bounds read or write.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-3228"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1232805"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201612-33"
    },
    {
      "type": "WEB",
      "url": "http://bugs.ghostscript.com/show_bug.cgi?id=696041"
    },
    {
      "type": "WEB",
      "url": "http://bugs.ghostscript.com/show_bug.cgi?id=696070"
    },
    {
      "type": "WEB",
      "url": "http://git.ghostscript.com/?p=ghostpdl.git%3Ba=commitdiff%3Bh=0c0b0859"
    },
    {
      "type": "WEB",
      "url": "http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=0c0b0859"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2015/07/23/14"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3326"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/bulletinjul2016-3090568.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/76017"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1033149"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2697-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-08-11T14:59:00Z"
  }
}